import React from 'react';
type PaintEvent = 'mousemove' | 'holdclick';
interface ReactHoverImageFilterProps {
    /**
     * Size of the painted area in pixels (the size of the painted area is a square)
     */
    pixelPaintedSize: number;
    /**
    Image source
    */
    imageSrc: string;
    /**
    Paint event: 'mousemove' or 'holdclick' (holdclick is a custom event that is triggered when the mouse is pressed and held down)
    */
    paintEvent: PaintEvent;
    /**
     Canvas style
     */
    canvasStyle?: React.CSSProperties;
    /**
    Canvas width
    */
    width: number;
    /**
    Canvas height
    */
    height: number;
    /**
    Filter to apply to the image when the mouse is not over the canvas
    */
    fromFilter?: string;
    /**
    Filter to apply to the image when the mouse is over the canvas
    */
    toFilter?: string;
}
export declare function ReactHoverImageFilter({ pixelPaintedSize, imageSrc, canvasStyle, paintEvent, width, height, fromFilter, toFilter }: ReactHoverImageFilterProps): JSX.Element;
export default ReactHoverImageFilter;
